<?php
// ----------------------------------------------------------------------
// Fast Click SQL - Advanced Clicks Counter System
// Copyright (c) 2003-2006 by Dmitry Ignatyev (ftrainsoft@mail.ru)
// http://www.FTRSoft.com/
// ----------------------------------------------------------------------
// Original Author of file: Dmitry Ignatyev
// ----------------------------------------------------------------------

function build_sql() {   

$sql[] = "
CREATE TABLE fc_category (
  CID mediumint(9) unsigned NOT NULL auto_increment,
  Cat varchar(50) NOT NULL default '',
  Name varchar(50) default NULL,
  PRIMARY KEY  (CID),
  KEY Cat (Cat)
) TYPE=MyISAM
";

$sql[] = "
CREATE TABLE fc_links (
  LID mediumint(9) unsigned NOT NULL auto_increment,
  Link varchar(50) NOT NULL default '',
  CID mediumint(9) unsigned NOT NULL default '1',
  Name varchar(50) default NULL,
  URL varchar(250) default 'http://',
  Started int(10) unsigned NOT NULL default '0',
  Count mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (LID),
  KEY Link (Link)
) TYPE=MyISAM
";

$sql[] = "
CREATE TABLE fc_stats (
  ID mediumint(9) NOT NULL auto_increment,
  LID mediumint(9) NOT NULL default '0',
  CID mediumint(9) default NULL,
  VID mediumint(9) default NULL,
  l_date int(11) NOT NULL default '0',
  l_referrer varchar(250) default NULL,
  PRIMARY KEY  (ID),
  KEY l_date (l_date)
) TYPE=MyISAM
";

$sql[] = "
CREATE TABLE fc_visitors (
  VID mediumint(9) unsigned NOT NULL auto_increment,
  IP int(11) unsigned NOT NULL default '0',
  Proxy int(11) unsigned default NULL,
  SDate int(10) unsigned NOT NULL default '0',
  EDate int(10) unsigned default NULL,
  IsBot enum('n','y','o') default 'n',
  Browser varchar(20) default '-',
  Browser_ver varchar(10) default NULL,
  OS varchar(20) default '-',
  OS_ver varchar(20) default NULL,
  Country char(2) default '-',
  Language char(2) default '-',
  Count mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (VID),
  KEY IP (IP),
  KEY EDate (EDate)
) TYPE=MyISAM
";

  return $sql;
 }

?>